Name:          compress-lzf
Version:       0.9.8
Release:       1%{?dist}
Summary:       Basic LZF codec, compatible with standard C LZF package
License:       ASL 2.0
URL:           https://github.com/ning/compress
Source0:       https://github.com/ning/compress/archive/%{name}-%{version}.tar.gz

BuildRequires: java-devel

# test deps
BuildRequires: mvn(org.testng:testng)

BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-surefire-provider-testng

BuildArch:     noarch

%description
Compression codec for LZF encoding for particularly encoding/decoding,
with reasonable compression. Compressor is basic Lempel-Ziv codec,
without Huffman (deflate/gzip) or statistical post-encoding. See
"http://oldhome.schmorp.de/marc/liblzf.html" for more on
original LZF package.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n compress-%{name}-%{version}

find . -name "*.class" -print -delete
find . -name "*.jar" -type f -print -delete

%pom_remove_plugin :maven-source-plugin
%pom_xpath_remove "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-javadoc-plugin']/pom:executions"

%build

%mvn_file : %{name}
%mvn_build -- -Poffline-testing

%install
%mvn_install

%files -f .mfiles
%doc LICENSE README.md VERSION.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE

%changelog
* Wed Aug 14 2013 gil cattaneo <puntogil@libero.it> 0.9.8-1
- initial rpm